#include "RenderModel.h"
#include <iostream>
#include <vtkImageData.h>
#include <vtkImageSlab.h>
namespace Render
{
	void RenderModel::SetInputData(const vtkSmartPointer<vtkImageData>& imageData)
	{
		vtkSmartPointer<vtkImageSlab> imageSlab = vtkImageSlab::New();
		imageSlab->SetInputData(imageData);
		imageSlab->Update();
		int ext[6] = { 0 };
		imageSlab->GetUpdateExtent(ext);// here we get invalid ext when using static vtk libs
		std::cout << ext[1];
	}
}
